package speiger.src.coreengine.rendering.inputOld.camera;

import speiger.src.coreengine.math.vector.ints.Vec2i;

public enum DefaultCameraController implements ICameraController
{
	INSTANCE;

	@Override
	public Vec2i getCenter(Camera cam){return cam.getSolidPosition();}
	@Override
	public void onInputUpdate(Camera camera){}
	@Override
	public void updateCamera(Camera camera, float particalTicks){}
	@Override
	public void onPositionUpdate(Camera camera){}
	
}
